%define	name	ebits
%define	version	cvs20020821
%define	release	3mdk
%define major 0
%define libname lib%{name}%{major}

Summary: Enlightened Canvas Image Bit Library
Name: %{name}
Version: %{version}
Release: %{release}
License: BSD
Group: Development/Other
URL: http://www.enlightenment.org/efm.html
Source: ftp://ftp.enlightenment.org/enlightenment/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: libevas >= cvs20020821
Requires: libedb
# 08/24/2002, cooker is freeze for until  9.0,
# I won't upload a cvs version of edb
# Then I try to use edb-1.0, it seems it works
# see later about this require
#Requires: libedb >= cvs20020821
BuildRequires: libevas-devel
BuildRequires: libedb1-devel

%description
The Ebits library provides layout functionality for 
graphical elements like window borders and is based 
on Evas. It defines the behavior of GUI elements when 
they are resized, callbacks to call when elements are 
activated and more. The GUI elements are stored in 
Edb databases.

%package -n %{libname}
Summary: Enlightened Image Bits Canvas Library
Group: Development/Other
Provides: lib%{name} = %{version}

%description -n %{libname}
The Ebits library provides layout functionality for
graphical elements like window borders and is based
on Evas. It defines the behavior of GUI elements when
they are resized, callbacks to call when elements are
activated and more. The GUI elements are stored in
Edb databases.

%package -n %{libname}-devel
Summary: Enlightened Image Bits Canvas Library headers and development libraries.
Group: Development/Other
Requires: %{libname} = %{version}-%{release}
Provides: lib%{name}-devel = %{version}

%description -n %{libname}-devel
Ebits development files.

%prep
%setup -q

%build
if [ -e ./configure ]
then
  %configure
else
  ./autogen.sh --prefix=%{_prefix}
fi
make

%install
%makeinstall

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libebits.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_libdir}/libebits.so
%{_libdir}/libebits.*a
%{_includedir}/Ebits.h
%{_bindir}/ebits-config

%changelog 
* Sat Dec 28 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> cvs20020821-2mdk
- rebuild for rpm and glibc

* Fri Aug 23 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> cvs20020821-2mdk
- fix invalid group detect by rpmlint

* Wed Aug 21 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> cvs20020821-1mdk
- 1st mdk package from Yves Mettier <ymettier@libertysurf.fr>
- mdk Adaptation
